Developers
API referenceReferenceReports

Accounting period - Create

Create a new accounting period for the selected business (`business_slug`).

POST
/v1/business/{business_slug}/period/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/business/string/period/" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": 0,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "start_date": "2019-08-24",  "end_date": "2019-08-24",  "has_began": true,  "has_ended": true,  "is_ensured": true,  "is_depreciations_recorded": true,  "is_depreciations_ensured": true,  "is_deferrals_recorded": true,  "is_taxed": true,  "is_deducted": true,  "is_locked": true,  "is_reported": true}